package com.wd.workoffice.ui.activity.bat;

import android.content.DialogInterface;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.qmuiteam.qmui.widget.dialog.QMUIDialog;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.workEnum.PermissType;
import com.wd.workoffice.contract.BatSaleContract;
import com.wd.workoffice.presenter.BatSalePresenter;
import com.wd.workoffice.util.DialogUtils;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/*
 * 商店-销售
 */
public class StoreSaleActivity extends WorkToolBarActivity implements BatSaleContract.View {

    @BindView(R.id.tv_client)
    TextView tvClient;
    @BindView(R.id.rl_client)
    RelativeLayout rlClient;
    @BindView(R.id.tv_dep)
    TextView tvDep;
    @BindView(R.id.rl_dep)
    RelativeLayout rlDep;
    @BindView(R.id.tv_process)
    TextView tvProcess;
    @BindView(R.id.rl_process)
    RelativeLayout rlProcess;
    @BindView(R.id.tv_product)
    TextView tvProduct;
    @BindView(R.id.rl_product)
    RelativeLayout rlProduct;
    private BatSalePresenter batSalePresenter;
    private QMUIDialog.MenuDialogBuilder depDialog;
    private List<DepBean> depList;
    List<String> depNameList = new ArrayList<>();
    private DepBean chooseDep;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        batSalePresenter = new BatSalePresenter();
        batSalePresenter.onAttach(this);
        depDialog = DialogUtils.listDialog(this);
    }

    @Override
    protected void initData() {
        batSalePresenter.getDep(PermissType.ES_SELL.getCode());
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_bat_sale;
    }


    @OnClick({R.id.rl_client, R.id.rl_dep, R.id.rl_process, R.id.rl_product})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.rl_client:
                startActivity(StoreSaleClientActivity.class);
                break;
            case R.id.rl_dep:
                depDialog.show();
                break;
            case R.id.rl_process:
                if (chooseDep==null){
                    toast("请先选择客户");
                    return;
                }
                break;
            case R.id.rl_product:
                break;
        }
    }

    @Override
    public void processList(List<Object> dataList) {

    }

    @Override
    public void productList(List<Object> dataList) {

    }

    @Override
    public void depList(List<DepBean> dataList) {
        depList = dataList;
        for (DepBean dep : dataList) {
            depNameList.add(dep.getName());
        }
        depDialog.addItems(depNameList.toArray(new String[depNameList.size()]), new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {
                chooseDep = depList.get(which);
                tvDep.setText(depNameList.get(which));
                dialog.dismiss();
            }
        });
    }
}
